# Uses of Enum Class
org.apache.sysds.runtime.compress.colgroup.insertionsort.InsertionSorterFactory.SORT_TYPE

Packages that use InsertionSorterFactory.SORT_TYPE
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.colgroup.insertionsort

## Uses of InsertionSorterFactory.SORT_TYPE in org.apache.sysds.runtime.compress

Fields in org.apache.sysds.runtime.compress declared as InsertionSorterFactory.SORT_TYPE
Modifier and Type
Field
Description
`final InsertionSorterFactory.SORT_TYPE`
CompressionSettings.`sdcSortType`
The sorting type used in sorting/joining offsets to create SDC groups
Methods in org.apache.sysds.runtime.compress with parameters of type InsertionSorterFactory.SORT_TYPE
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`setSDCSortType(InsertionSorterFactory.SORT_TYPE sdcSortType)`
Set the sort type to use.

## Uses of InsertionSorterFactory.SORT_TYPE in org.apache.sysds.runtime.compress.colgroup.insertionsort

Methods in org.apache.sysds.runtime.compress.colgroup.insertionsort that return InsertionSorterFactory.SORT_TYPE
Modifier and Type
Method
Description
`static InsertionSorterFactory.SORT_TYPE`
InsertionSorterFactory.SORT_TYPE.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InsertionSorterFactory.SORT_TYPE[]`
InsertionSorterFactory.SORT_TYPE.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.compress.colgroup.insertionsort with parameters of type InsertionSorterFactory.SORT_TYPE
Modifier and Type
Method
Description
`static AInsertionSorter`
InsertionSorterFactory.`create(int endLength, int numRows, IntArrayList[] offsets, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter`
InsertionSorterFactory.`create(int numRows, IntArrayList[] offsets, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter`
InsertionSorterFactory.`createNegative(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter`
InsertionSorterFactory.`createNegative(int numRows, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`